Bug 103219 - pstack segfaults when reading C++ executables.
pstack segfaults when reading C++ executables.
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: pstack (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-27 16:06 EDT by James Olin Oden
Modified: 2007-03-27 00:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-11 17:29:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Olin Oden 2003-08-27 16:06:27 EDT
Description of problem:
When running pstack against executables that were generated from c++ code,
pstack segfaults.  Unfortunately, it does not leave a core file around.


Version-Release number of selected component (if applicable):
1.1-1

How reproducible:
All the time.

Steps to Reproduce:
1. Create the following C++ file, and call it test.c

#include <iostream>
int main(int argc, char* argv[])
{
	std::cout  << "Hello world, press enter to continue..." << std::endl;
	getc(stdin);
}
2.  Compile this with g++.
3.  Run the program.
4.  Run pstack against the running program.
    
Actual results:

[root@nsdlinux06 root]# pstack 23447

23447: ./hw
pstack signal received: Segmentation fault

Expected results:
A stack trace (-:

Additional info:
As I mentioned above it does not produce a core file (and yes I am using
ulimit -c before hand), so I can't really figure out where its dying
easily.  Also, it fails against other C++ programs, this was just the distilled
down test case.
Comment 1 Don Howard 2003-09-08 16:20:54 EDT
It appears that the rpm for 1.1-1.1 doesn't upgrade correctly.
IE: rpm -U appears to only update the rpm db.  rpm -q reports pstack 1.1-1.1,
but rpm -q --changelog displays the old changelog.

rpm -e pstack; rpm -i pstack-1.1-1.1 corrects the issue. 
Comment 2 Roland McGrath 2003-11-11 17:29:05 EST
This bug was already reported separately and has been fixed.
New packages will be available in rawhide before too long, and that
can be rebuilt on RHL9.
Comment 3 John Flanagan 2003-12-19 09:41:42 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-250.html

Note You need to log in before you can comment on or make changes to this bug.